Package org.springframework.security.authentication

# Class ObservationReactiveAuthenticationManager

java.lang.Object
org.springframework.security.authentication.ObservationReactiveAuthenticationManager

All Implemented Interfaces:
  `ReactiveAuthenticationManager`

public class ObservationReactiveAuthenticationManager extends Object implements ReactiveAuthenticationManager
An `ReactiveAuthenticationManager` that observes the authentication

Since:
  6.0

## Constructor Summary

Constructors
Constructor
Description
`ObservationReactiveAuthenticationManager(io.micrometer.observation.ObservationRegistry registry, ReactiveAuthenticationManager delegate)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Authentication>`
`authenticate(Authentication authentication)`
Attempts to authenticate the provided `Authentication`
`void`
`setObservationConvention(io.micrometer.observation.ObservationConvention<AuthenticationObservationContext> convention)`
Use the provided convention for reporting observation data

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObservationReactiveAuthenticationManager

public ObservationReactiveAuthenticationManager(io.micrometer.observation.ObservationRegistry registry, ReactiveAuthenticationManager delegate)

## Method Details

### authenticate

public reactor.core.publisher.Mono<Authentication> authenticate(Authentication authentication) throws AuthenticationException
Description copied from interface: `ReactiveAuthenticationManager`
Attempts to authenticate the provided `Authentication`

Specified by:
  `authenticate` in interface `ReactiveAuthenticationManager`
Parameters:
  `authentication` - the `Authentication` to test
Returns:
  if authentication is successful an `Authentication` is returned. If authentication cannot be determined, an empty Mono is returned. If authentication fails, a Mono error is returned.
Throws:
  `AuthenticationException`

### setObservationConvention

public void setObservationConvention(io.micrometer.observation.ObservationConvention<AuthenticationObservationContext> convention)
Use the provided convention for reporting observation data

Parameters:
  `convention` - The provided convention
Since:
  6.1